Change Password

Go Back to Account Support

Upgraded website - TLS


The Dunelm.org.uk website was updated on Monday 12 March 2018.

Please check that your operating system and browser are up to date. A list of supported systems is below.

Compatible Operating Systems:
Windows® 7
Windows 8
Windows 8.1
Windows 10
Windows Server 2008 R2
Windows Server 2012
OS X 10.9 (Mavericks) and higher
iOS 5 and higher


Compatible Browsers:
Chrome® v.22+
Firefox® version v.27+
Internet Explorer® v.8-10 (if enabled)
Internet Explorer v.11
Safari® v.7+
Edge®
Mobile Browsers
Safari v. 5+
Firefox version v.27+
Internet Explorer v.11+
Opera® v. 14+


What is TLS?
TLS stands for 'Transport Layer Security'. It is a protocol that provides privacy and data integrity between two communicating applications. It is the most widely deployed security protocol used today, and is used for web browsers and other applications that require data to be securely exchanged over a network. The versions of TLS to date are TLS v.1.0, v.1.1, and v.1.2.

What is changing and why?
We are committed to maintaining the highest security standards to ensure that customers have access to the latest security protocols. The TLS encryption protocol upgrade is a mandatory, industry-wide security update, mandated by the PCI Security Standards Council and affecting a wide range of software solutions.

How does this affect me?
You will need to ensure that your operating system and browser are upgraded to TLS v.1.1+ supported versions (see above), to ensure continuity of communications and transactions. If you are not up to date then you may experience vulnerability and connectivity issues.


Still need help? Please contact us at the Dunelm Helpdesk


Meet the team
Gift Policy
Dunelm Support

TLS Update -
Please ensure that your OS and browser are updated for your security. More info
Development and Alumni Relations Office
The Palatine Centre
Stockton Road
Durham
DH1 3LE

0191 334 6305